#!/bin/bash

gpu_list="${CUDA_VISIBLE_DEVICES:-0}"
IFS=',' read -ra GPULIST <<< "$gpu_list"


CHUNKS=${#GPULIST[@]}

CKPT="llava_15_7b_lora_SVIT_clip_score_multi_5P_0421_lora_merge"
SPLIT="llava_vqav2_mscoco_test-dev2015"

for IDX in $(seq 0 $((CHUNKS-1))); do
    CUDA_VISIBLE_DEVICES=${GPULIST[$IDX]} python -m llava.eval.model_vqa_loader \
        --model-path     /code/NIPS_2024/LLaVA/checkpoints/llava_15_7b_lora_SVIT_clip_score_multi_5P_0421_lora_merge \
        --question-file /code/NIPS_2024/DATASET/VQA_Dataset/vqav2/$SPLIT.jsonl \
        --image-folder  /code/NIPS_2024/DATASET/VQA_Dataset/vqav2/test2015 \
        --answers-file  /code/NIPS_2024/DATASET/VQA_Dataset/vqav2/answers/$SPLIT/$CKPT/${CHUNKS}_${IDX}.jsonl \
        --num-chunks $CHUNKS \
        --chunk-idx $IDX \
        --temperature 0 \
        --conv-mode vicuna_v1 &
done

wait

output_file=/code/NIPS_2024/DATASET/VQA_Dataset/vqav2/answers/$SPLIT/$CKPT/merge.jsonl

# Clear out the output file if it exists.
> "$output_file"

# Loop through the indices and concatenate each file.
for IDX in $(seq 0 $((CHUNKS-1))); do
    cat /code/NIPS_2024/DATASET/VQA_Dataset/vqav2/answers/$SPLIT/$CKPT/${CHUNKS}_${IDX}.jsonl >> "$output_file"
done

python scripts/convert_vqav2_for_submission.py --split $SPLIT --ckpt $CKPT




# bash scripts/v1_5/eval/vqav2.sh
# /code/NIPS_2024/LLaVA/checkpoints/llava_15_7b_lora_SVIT_clip_score_multi_5P_0421_lora_merge



